CachingIterator
CachingIterator::next
CachingIterator
PHP Manual

# CachingIterator::hasNext

(PHP 5)

CachingIterator::hasNext — Check whether the inner iterator has a valid next element

### Description

bool CachingIterator::hasNext ( void )
Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

CachingIterator
CachingIterator::next
CachingIterator
PHP Manual